Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354336 - we use python-paramiko instead of python2-paramiko
Summary: we use python-paramiko instead of python2-paramiko
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-release
Classification: oVirt
Component: General
Version: master-002
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.1
: 4.0.1
Assignee: Yedidyah Bar David
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 07:06 UTC by Yedidyah Bar David
Modified: 2017-05-11 09:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Rebase: Enhancements Only
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-26 11:06:32 UTC
oVirt Team: Integration
sbonazzo: ovirt-4.0.z?
rule-engine: planning_ack+
sbonazzo: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 60463 master MERGED epel: python-paramiko has been renamed 2016-07-11 08:43:14 UTC
oVirt gerrit 60464 ovirt-4.0 MERGED epel: python-paramiko has been renamed 2016-07-11 08:43:50 UTC

Description Yedidyah Bar David 2016-07-11 07:06:50 UTC
Description of problem:

$Subject.

Recently epel's packaging was changed [1] to follow fedora python packaging guidelines [2], and since then builds python2-paramiko.

We should provide python2-paramiko in ovirt-release, and either change all the packages requiring it to require the new name, or provide our own python-paramiko that depends on python2-paramiko.

(Partial?) list of packages that require python-paramiko:
ovirt-engine-setup-base
ovirt-hosted-engine-setup
lago

[1] http://pkgs.fedoraproject.org/cgit/rpms/python-paramiko.git/commit/?h=epel7&id=8b748cfcb17a28b360237711b00bab5f05dcf696
[2] https://fedoraproject.org/wiki/Packaging:Python

Comment 1 Yedidyah Bar David 2016-07-11 07:20:49 UTC
Fedora's guidelines do tell to also Provide: python-paramiko, and the package does. So at least for now it's just a change in the ovirt-release package.

Comment 2 Sandro Bonazzola 2016-07-11 07:45:45 UTC
Markins as rebase on new python-paramiko.

Comment 3 Lukas Svaty 2016-07-26 11:06:32 UTC
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA


Note You need to log in before you can comment on or make changes to this bug.